<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('exam_result_teacher_rel', function (Blueprint $table) {
      $table->id();

      $table->unsignedBigInteger('teacher_id');
      $table
        ->foreign('teacher_id')
        ->references('id')
        ->on('teachers')
        ->onDelete('cascade');

      $table->unsignedBigInteger('exam_result_id');
      $table
        ->foreign('exam_result_id')
        ->references('id')
        ->on('exam_results')
        ->onDelete('cascade');

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('exam_result_teacher_rel');
  }
};
